Create or update passkey config
Create or update the WebAuthn Relying Party configuration for the application. Changing rp_id invalidates existing registered credentials.
PUT
/
v2
/
session
/
apps
/
{appID}
/
config
/
passkey
Create or update passkey config
curl --request PUT \
--url https://api.prelude.dev/v2/session/apps/{appID}/config/passkey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rp_id": "example.com",
"rp_name": "Example App",
"allowed_origins": [
"https://app.example.com"
],
"user_verification": "required",
"attestation_preference": "none"
}
'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/config/passkey"
payload = {
"rp_id": "example.com",
"rp_name": "Example App",
"allowed_origins": ["https://app.example.com"],
"user_verification": "required",
"attestation_preference": "none"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rp_id: 'example.com',
rp_name: 'Example App',
allowed_origins: ['https://app.example.com'],
user_verification: 'required',
attestation_preference: 'none'
})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/config/passkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"rp_id": "example.com",
"rp_name": "Example App",
"allowed_origins": [
"https://app.example.com"
],
"user_verification": "required",
"attestation_preference": "none",
"created_at": "2025-03-15T10:30:00Z",
"updated_at": "2025-03-15T12:00:00Z"
}
}{
"code": "invalid_request",
"status": "bad_request",
"message": "The request body is invalid."
}{
"code": "app_not_found",
"status": "not_found",
"message": "The application was not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
Body
application/json
The WebAuthn Relying Party identifier (typically your domain).
Example:
"example.com"
A human-readable display name for the Relying Party.
Example:
"Example App"
HTTPS origins allowed to perform WebAuthn operations.
Example:
["https://app.example.com"]
WebAuthn user verification requirement. Defaults to required when omitted.
Available options:
required, preferred, discouraged Example:
"required"
WebAuthn attestation conveyance preference. Defaults to none when omitted.
Available options:
none, indirect, direct, enterprise Example:
"none"
Response
OK
Show child attributes
Show child attributes
⌘I
Create or update passkey config
